* [gentoo-commits] repo/gentoo:master commit in: dev-lang/dzaima-bqn/
@ 2023-08-01 18:53 Maciej Barć
0 siblings, 0 replies; 3+ messages in thread
From: Maciej Barć @ 2023-08-01 18:53 UTC (permalink / raw
To: gentoo-commits
commit: 3f8d00f775f982d9e4a8c9c6ee25e6903a966244
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 1 16:36:15 2023 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Aug 1 18:53:26 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3f8d00f7
dev-lang/dzaima-bqn: new package, add 0.2.1 and live
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
dev-lang/dzaima-bqn/Manifest | 1 +
dev-lang/dzaima-bqn/dzaima-bqn-0.2.1.ebuild | 61 +++++++++++++++++++++++++++++
dev-lang/dzaima-bqn/dzaima-bqn-9999.ebuild | 61 +++++++++++++++++++++++++++++
dev-lang/dzaima-bqn/metadata.xml | 13 ++++++
4 files changed, 136 insertions(+)
diff --git a/dev-lang/dzaima-bqn/Manifest b/dev-lang/dzaima-bqn/Manifest
new file mode 100644
index 000000000000..6a78fb32eec6
--- /dev/null
+++ b/dev-lang/dzaima-bqn/Manifest
@@ -0,0 +1 @@
+DIST dzaima-bqn-0.2.1.tar.gz 315654 BLAKE2B 1b11ad6901ec2fbb6b10a87d7e46e098cceb2ffdfd351d82a3709df3370f30e0aaee1b2e270c4d228f305ed573f1e1a979238fcbc6ca8ac690f26048a30bff2c SHA512 92ab33ed64ace127ece76526ea298f131d720e7deaa917551e16c0eb0e626b1b0074668260fcc652e18b1c90603149f8631a574b0e98d2b715bd73dbc3340d8e
diff --git a/dev-lang/dzaima-bqn/dzaima-bqn-0.2.1.ebuild b/dev-lang/dzaima-bqn/dzaima-bqn-0.2.1.ebuild
new file mode 100644
index 000000000000..9c7b4bd92031
--- /dev/null
+++ b/dev-lang/dzaima-bqn/dzaima-bqn-0.2.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit edo java-pkg-2
+
+DESCRIPTION="A BQN language implementation written in Java, also know as dbqn"
+HOMEPAGE="https://github.com/dzaima/BQN/"
+
+if [[ ${PV} == *9999* ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/dzaima/BQN.git"
+else
+ SRC_URI="https://github.com/dzaima/BQN/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz"
+ S="${WORKDIR}/BQN-${PV}"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+
+RDEPEND=">=virtual/jre-1.8"
+DEPEND=">=virtual/jdk-1.8"
+
+BUILD_DIR="${WORKDIR}/${P}_BuildDir"
+BUILD_JAR="${BUILD_DIR}/dbqn.jar"
+
+DOCS=( readme.md )
+
+src_prepare() {
+ default
+ java-pkg-2_src_prepare
+
+ mkdir -p "${BUILD_DIR}" || die
+}
+
+src_compile() {
+ # This is the "build8" (or "build") script rewritten for our purposes.
+
+ ejavac -d "${BUILD_DIR}" $(find ./src -name "*.java")
+
+ cd "${BUILD_DIR}" || die
+ edob jar cvfe "${BUILD_JAR}" BQN.Main BQN
+}
+
+src_test() {
+ edob java -jar "${BUILD_JAR}" -f "${S}"/test/test
+}
+
+src_install() {
+ java-pkg_dojar "${BUILD_JAR}"
+ java-pkg_dolauncher dbqn --jar dbqn.jar
+
+ einstalldocs
+}
+
+pkg_postinst() {
+ einfo "The ${CATEGORY}/${PN} installs the main executable under the name \"dbqn\"."
+}
diff --git a/dev-lang/dzaima-bqn/dzaima-bqn-9999.ebuild b/dev-lang/dzaima-bqn/dzaima-bqn-9999.ebuild
new file mode 100644
index 000000000000..9c7b4bd92031
--- /dev/null
+++ b/dev-lang/dzaima-bqn/dzaima-bqn-9999.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit edo java-pkg-2
+
+DESCRIPTION="A BQN language implementation written in Java, also know as dbqn"
+HOMEPAGE="https://github.com/dzaima/BQN/"
+
+if [[ ${PV} == *9999* ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/dzaima/BQN.git"
+else
+ SRC_URI="https://github.com/dzaima/BQN/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz"
+ S="${WORKDIR}/BQN-${PV}"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+
+RDEPEND=">=virtual/jre-1.8"
+DEPEND=">=virtual/jdk-1.8"
+
+BUILD_DIR="${WORKDIR}/${P}_BuildDir"
+BUILD_JAR="${BUILD_DIR}/dbqn.jar"
+
+DOCS=( readme.md )
+
+src_prepare() {
+ default
+ java-pkg-2_src_prepare
+
+ mkdir -p "${BUILD_DIR}" || die
+}
+
+src_compile() {
+ # This is the "build8" (or "build") script rewritten for our purposes.
+
+ ejavac -d "${BUILD_DIR}" $(find ./src -name "*.java")
+
+ cd "${BUILD_DIR}" || die
+ edob jar cvfe "${BUILD_JAR}" BQN.Main BQN
+}
+
+src_test() {
+ edob java -jar "${BUILD_JAR}" -f "${S}"/test/test
+}
+
+src_install() {
+ java-pkg_dojar "${BUILD_JAR}"
+ java-pkg_dolauncher dbqn --jar dbqn.jar
+
+ einstalldocs
+}
+
+pkg_postinst() {
+ einfo "The ${CATEGORY}/${PN} installs the main executable under the name \"dbqn\"."
+}
diff --git a/dev-lang/dzaima-bqn/metadata.xml b/dev-lang/dzaima-bqn/metadata.xml
new file mode 100644
index 000000000000..f2ef816f9ece
--- /dev/null
+++ b/dev-lang/dzaima-bqn/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+
+<pkgmetadata>
+ <maintainer type="person">
+ <email>xgqt@gentoo.org</email>
+ <name>Maciej Barć</name>
+ </maintainer>
+ <upstream>
+ <bugs-to>https://github.com/dzaima/BQN/issues/</bugs-to>
+ <remote-id type="github">dzaima/BQN</remote-id>
+ </upstream>
+</pkgmetadata>
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-lang/dzaima-bqn/
@ 2023-10-24 16:51 Arthur Zamarin
0 siblings, 0 replies; 3+ messages in thread
From: Arthur Zamarin @ 2023-10-24 16:51 UTC (permalink / raw
To: gentoo-commits
commit: f9a812b45959af2c2b3abfb160eb8a9e79b3ee5d
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 24 16:50:59 2023 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Tue Oct 24 16:50:59 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f9a812b4
dev-lang/dzaima-bqn: Stabilize 0.2.1 amd64, #916219
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
dev-lang/dzaima-bqn/dzaima-bqn-0.2.1.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/dev-lang/dzaima-bqn/dzaima-bqn-0.2.1.ebuild b/dev-lang/dzaima-bqn/dzaima-bqn-0.2.1.ebuild
index 9c7b4bd92031..de1b210a761b 100644
--- a/dev-lang/dzaima-bqn/dzaima-bqn-0.2.1.ebuild
+++ b/dev-lang/dzaima-bqn/dzaima-bqn-0.2.1.ebuild
@@ -15,7 +15,7 @@ else
SRC_URI="https://github.com/dzaima/BQN/archive/v${PV}.tar.gz
-> ${P}.tar.gz"
S="${WORKDIR}/BQN-${PV}"
- KEYWORDS="~amd64 ~x86"
+ KEYWORDS="amd64 ~x86"
fi
LICENSE="MIT"
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-lang/dzaima-bqn/
@ 2024-05-23 22:08 Maciej Barć
0 siblings, 0 replies; 3+ messages in thread
From: Maciej Barć @ 2024-05-23 22:08 UTC (permalink / raw
To: gentoo-commits
commit: 826d7b7d193cc9a44adf4ab2f0ff68f5d85ad1e6
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Thu May 23 21:28:09 2024 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Thu May 23 22:08:07 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=826d7b7d
dev-lang/dzaima-bqn: use edo instead of edob
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
dev-lang/dzaima-bqn/dzaima-bqn-0.2.1.ebuild | 4 ++--
dev-lang/dzaima-bqn/dzaima-bqn-9999.ebuild | 4 ++--
2 files changed, 4 insertions(+), 4 deletions(-)
diff --git a/dev-lang/dzaima-bqn/dzaima-bqn-0.2.1.ebuild b/dev-lang/dzaima-bqn/dzaima-bqn-0.2.1.ebuild
index de1b210a761b..6ea55f8362e1 100644
--- a/dev-lang/dzaima-bqn/dzaima-bqn-0.2.1.ebuild
+++ b/dev-lang/dzaima-bqn/dzaima-bqn-0.2.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -46,7 +46,7 @@ src_compile() {
}
src_test() {
- edob java -jar "${BUILD_JAR}" -f "${S}"/test/test
+ edo java -jar "${BUILD_JAR}" -f "${S}"/test/test
}
src_install() {
diff --git a/dev-lang/dzaima-bqn/dzaima-bqn-9999.ebuild b/dev-lang/dzaima-bqn/dzaima-bqn-9999.ebuild
index 9c7b4bd92031..1f962b56b85c 100644
--- a/dev-lang/dzaima-bqn/dzaima-bqn-9999.ebuild
+++ b/dev-lang/dzaima-bqn/dzaima-bqn-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -46,7 +46,7 @@ src_compile() {
}
src_test() {
- edob java -jar "${BUILD_JAR}" -f "${S}"/test/test
+ edo java -jar "${BUILD_JAR}" -f "${S}"/test/test
}
src_install() {
^ permalink raw reply related [flat|nested] 3+ messages in thread
end of thread, other threads:[~2024-05-23 22:08 UTC | newest]
Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-05-23 22:08 [gentoo-commits] repo/gentoo:master commit in: dev-lang/dzaima-bqn/ Maciej Barć
-- strict thread matches above, loose matches on Subject: below --
2023-10-24 16:51 Arthur Zamarin
2023-08-01 18:53 Maciej Barć
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox